package com.timeseries;

public class Bit extends Number {
	private static final long serialVersionUID = -6883944530332006580L;
	
	private boolean val;
	
	public Bit(boolean val){
		this.val = val;
	}
	
	@Override
	public int intValue() {
		return val?1:0;
	}

	@Override
	public long longValue() {
		return intValue();
	}

	@Override
	public float floatValue() {
		return intValue();
	}

	@Override
	public double doubleValue() {
		return intValue();
	}

	public void set(boolean newValue){
		this.val = newValue;
	}
	
	/**
	 * Accepts 1, or "true" or "T" as <b>true</b>
	 * and expects 0, or "false", of "F" as <b>false</b>
	 * @param value
	 * @return
	 */
	public static Bit valueOf(String value){
		boolean val = false;
		switch(value.trim().toLowerCase()){
		case "1":
		case "true":
		case "t":
			val = true;
		case "0":
		case "false":
		case "f":
		default:
			val = false;
		}
		return new Bit(val);
	}
	
	public String toString(){
		return val?"1":"0";
	}
}
