package com.timeseries;

import java.util.Iterator;
import java.util.List;

public class TimeSeriesBit extends TimeSeries<Bit>{

	public TimeSeriesBit(){
		super();
	}
	
	public TimeSeriesBit(int numOfDimensions){
		super(numOfDimensions);
	}
	
	public TimeSeriesBit(String string, boolean b, boolean c, char d) {
		super(string, b, c, d);
	}
	
	@Override
	protected TimeSeriesPoint<Bit> getTimeSeriesPoint(List<String> subList) {
		Bit[] bits = new Bit[subList.size()];
		
		Iterator<String> iter = subList.iterator();
		int i = 0;
		while (iter.hasNext()) {
			String val = iter.next();
			// Attempt to parse the next value to a Double value.
			Bit nextValue;
			try {
				nextValue = Bit.valueOf(val);
			} catch (NumberFormatException e) {
				throw new InternalError("ERROR:  '" + val
						+ "' is not a valid number");
			}
			bits[i++] = nextValue;

		}
		return new TimeSeriesPoint<>(bits);
	}

}
